NOTMUCH-ADDRLOOKUP(SECTION)

NAME
notmuch-addrlookup - Address lookup tool for Notmuch

SYNOPSIS
notmuch-addrlookup [string]

DESCRIPTION
This manual page documents briefly the notmuch-addrlookup commands.

The program works by invoking from a shell. The only argument it takes is a string, which is searched for in the e-mail addresses contained in the headers of the messages indexed by Notmuch.

Example

% notmuch-addrlookup peter

Peter Jones <peter@jonesfamily.com> John Peters <john.peters@gmail.com> Peter Tosh <gimmesome@reggaemusic.net> Noren Petersen <norenp@no.se>

CONFIGURATION
Emacs UI

The Emacs Notmuch UI [can be configured](http://notmuchmail.org/emacstips/#index15h2) to use the tool for completing addresses when composing.

Mutt

The [Mutt UA](http://www.mutt.org/) can be configured to use `notmuch-addrlookup` by setting the following options:

set query_command="notmuch-addrlookup --mutt '%s'"